# $Revision: 1.9 $, $Date: 2005/09/06 20:34:24 $
Summary:	File archive viewer application for GNUstep
Summary(pl):	Przegldarka plikw archiww dla GNUstepa
Name:		Zipper
Version:	1.0
Release:	2
License:	GPL
Group:		X11/Applications
Source0:	http://xanthippe.dyndns.org/Zipper/%{name}-%{version}.tar.gz
# Source0-md5:	642282f9cf30b6cb186302f6c9981653
Patch0:		%{name}-initwitharguments.patch
URL:		http://xanthippe.dyndns.org/Zipper/
BuildRequires:	Renaissance-devel
BuildRequires:	gnustep-gui-devel >= 0.9.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/%{_lib}/GNUstep

%define		libcombo	gnu-gnu-gnu
%define		gsos		linux-gnu
%ifarch %{ix86}
%define		gscpu		ix86
%else
# also s/alpha.*/alpha/, but we use only "alpha" arch for now
%define		gscpu		%(echo %{_target_cpu} | sed -e 's/amd64/x86_64/;s/ppc/powerpc/')
%endif

%description
Zipper is a tool for inspecting the contents of a compressed archive
and for extracting.

I know that there's a GNUstep port of the famous OpenUp application
but I must admit that for a living I have to use Windoze at work.
After a while I got quite used to Winzip's UI. Although I don't like
some of its features, what I really like is the content listing of an
archive without actually having to unpack it. This is what Zipper
currently tries to mimic. This has also the advantage that you don't
have to unpack archives from networked volumes to your local disk just
to view what's in it.

%description -l pl
Zipper to narzdzie do ogldania zawartoci i rozpakowywania
skompresowanych archiww.

Autor jest wiadom istnienia GNUstepowego portu synnej aplikacji
OpenUp, ale jako e w pracy musi uywa Windows, przyzwyczai si do
interfejsu Winzipa. Mimo e nie lubi niektrych jego cech, podoba mu
si sposb wywietlania zawartoci archiww bez potrzeby
rozpakowywania ich. Wanie to prbuje naladowa Zipper. Ma take t
zalet, e nie trzeba rozpakowywa archiww z woluminw sieciowych na
dysk lokalny tylko w celu sprawdzenia co jest w rodku.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
. %{_prefix}/System/Library/Makefiles/GNUstep.sh
%{__make} \
	OPTFLAG="%{rpmcflags}" \
	messages=yes

%install
rm -rf $RPM_BUILD_ROOT
. %{_prefix}/System/Library/Makefiles/GNUstep.sh

%{__make} install \
	GNUSTEP_INSTALLATION_DIR=$RPM_BUILD_ROOT%{_prefix}/System

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%dir %{_prefix}/System/Applications/Zipper.app
%attr(755,root,root) %{_prefix}/System/Applications/Zipper.app/Zipper
%dir %{_prefix}/System/Applications/Zipper.app/Resources
%{_prefix}/System/Applications/Zipper.app/Resources/*.desktop
%{_prefix}/System/Applications/Zipper.app/Resources/*.plist
%{_prefix}/System/Applications/Zipper.app/Resources/*.tiff
%{_prefix}/System/Applications/Zipper.app/Resources/*.gsmarkup
%dir %{_prefix}/System/Applications/Zipper.app/%{gscpu}
%dir %{_prefix}/System/Applications/Zipper.app/%{gscpu}/%{gsos}
%dir %{_prefix}/System/Applications/Zipper.app/%{gscpu}/%{gsos}/%{libcombo}
%attr(755,root,root) %{_prefix}/System/Applications/Zipper.app/%{gscpu}/%{gsos}/%{libcombo}/Zipper
%{_prefix}/System/Applications/Zipper.app/%{gscpu}/%{gsos}/%{libcombo}/*.openapp

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zipper.spec,v $
Revision 1.9  2005/09/06 20:34:24  arekm
- rel 2

Revision 1.8  2005/06/20 20:53:55  blekot
- up to 1.0

Revision 1.7  2004/11/11 15:58:31  aredridel
- added initwitharguments patch

Revision 1.6  2004/11/11 15:54:11  aredridel
- up to 0.9

Revision 1.5  2004/11/07 21:47:37  havner
- [mass commit] rel up for rebuild

Revision 1.4  2004/10/30 12:17:47  paladine
- spaces->tabs

Revision 1.3  2004/07/05 22:15:52  qboosh
- updated to 0.8, fixed build on amd64

Revision 1.2  2004/05/15 13:09:00  qboosh
- pl

Revision 1.1  2004/05/15 00:37:23  aredridel
- added
